## qcontrol 0.4.1

=== Makefile ===
CFLAGS=-Os -Wall -I /usr/include/lua5.1
LDFLAGS=-llua5.1 -lpthread
SOURCES=piccontrol.c ts209.c evdev.c
OBJECTS=$(SOURCES:.c=.o)
EXECUTABLE=qcontrol

all:	$(SOURCES) $(EXECUTABLE)
	
$(EXECUTABLE): $(OBJECTS) 
	$(CC) $(LDFLAGS) $(OBJECTS) -o $@

.cpp.o:
	$(CC) $(CFLAGS) $< -o $@

clean:
	rm $(OBJECTS) $(EXECUTABLE)

## qcontrol 0.4.2

=== Makefile ===
CFLAGS=-Os -Wall -I /usr/include/lua5.1
LDFLAGS=-llua5.1 -lpthread
SOURCES=qcontrol.c ts209.c ts409.c evdev.c
OBJECTS=$(SOURCES:.c=.o)
EXECUTABLE=qcontrol

all:	$(SOURCES) $(EXECUTABLE)
	
$(EXECUTABLE): $(OBJECTS) 
	$(CC) $(LDFLAGS) $(OBJECTS) -o $@

.cpp.o:
	$(CC) $(CFLAGS) $< -o $@

clean:
	rm -f $(OBJECTS) $(EXECUTABLE)

## qcontrol 0.4.2+svn

=== Makefile ===
CFLAGS=-Os -Wall
CPPFLAGS=-I /usr/include/lua5.1
LDFLAGS=
LIBS=-llua5.1 -lpthread
SOURCES=qcontrol.c ts209.c ts219.c ts409.c ts41x.c evdev.c a125.c
OBJECTS=$(SOURCES:.c=.o)
EXECUTABLE=qcontrol

all:	$(SOURCES) $(EXECUTABLE)

$(EXECUTABLE): $(OBJECTS)
	$(CC) $(CFLAGS) $(LDFLAGS) $(OBJECTS) $(LIBS) -o $@

.cpp.o:
	$(CC) $(CPPFLAGS) $(CFLAGS) $< -o $@

clean:
	rm -f $(OBJECTS) $(EXECUTABLE)

$(OBJECTS): picmodule.h

## qcontrol 0.4.2+svn-r40

=== debian/changelog ===
qcontrol (0.4.2+svn-r40-3) unstable; urgency=low

  * Fix typo in S99qcontrol installer hook.
  * Disable firmware watchdog on TS-419p II as well.

 -- Ian Campbell <ijc@hellion.org.uk>  Sun, 25 Nov 2012 11:51:20 +0000

qcontrol (0.4.2+svn-r40-2) unstable; urgency=low

  * Disable firmware watchdog on TS-219p II. (Closes: #693263)
  * Enable LCD on TS-419P II based on GPIO status. (Closes: #689912)

 -- Ian Campbell <ijc@hellion.org.uk>  Sat, 17 Nov 2012 12:08:50 +0000

qcontrol (0.4.2+svn-r40-1) unstable; urgency=low

  [ Ian Campbell ]
  * New maintainer (Closes: #617749)
  * Incorporate unreleased changes by Frans Pop:
    - Update to new upstream snapshot r31 (Closes: #513344).
    - Add an initscript to start daemon on boot.
    - Enable temperature and fan support.
  * Switch to 3.0 (quilt) source format.
  * Switch to debhelper 9 and dh(1).
  * Update version in --version (Closes: #636325).
  * Build on armhf (Closes: 645670).
  * New upstream snapshot r40 (Closes: #600333).
  * Bump standards version to 3.9.4 (no changes needed).
  * Enable hardening flags.

 -- Ian Campbell <ijc@hellion.org.uk>  Sat, 06 Oct 2012 13:45:22 +0100

qcontrol (0.4.2-7) unstable; urgency=medium

  * QA upload.
  * Set maintainer to QA group
  * Apply patch from Matthias Klose to fix FTBFS with ld --as-needed 
    and with multiarched lua (Closes: #643604)
  * Set urgency to medium due to rc bug fix
  * Fix lintian detected spelling error in package descriptions
    (s/Allows\ to/Allows one to/)
  * Add recommended targets build-arch and build-indep to debian/rules
  * Add $remote_fs to the Required-Stop of the debian/init.d
  * Bump standards to 3.9.2 (no furhter changes needed)

 -- Alexander Reichle-Schmehl <tolimar@debian.org>  Wed, 07 Dec 2011 13:51:09 +0100

qcontrol (0.4.2-6) unstable; urgency=low

  * qcontrol-udeb: depend on event-modules instead of input-modules.
    Closes: #589581

 -- Martin Michlmayr <tbm@cyrius.com>  Tue, 31 Aug 2010 21:59:57 +0100

qcontrol (0.4.2-5) unstable; urgency=low

  * Also add support for TS-419U to udeb. Closes: #557523.

 -- Frans Pop <fjp@debian.org>  Mon, 23 Nov 2009 18:11:02 +0100

qcontrol (0.4.2-4) unstable; urgency=low

  * Let USB headers match default update-rc.d stop levels. Closes: #554796.
  * Add support for QNAP TS-419U. Closes: #556206.
    Many thanks to Martin Michlmayr for the patch.
  * Update supported devices in documentation. Closes: #556210.
    Thanks to Martin Michlmayr for the patch.

 -- Frans Pop <fjp@debian.org>  Sat, 14 Nov 2009 13:35:41 +0100

qcontrol (0.4.2-3) unstable; urgency=low

  * Remove custom udev rules file added in Lenny update (0.4.2-1lenny1).

 -- Frans Pop <fjp@debian.org>  Thu, 10 Sep 2009 12:15:04 +0200

qcontrol (0.4.2-2) unstable; urgency=low

  * Use quilt to manage patches against upstream.
  * Update input device for udev (0.141-2). Closes: #524505.
  * Use bash for the init script as dash does not support disown.
    Closes: #538321.
  * Add support for the QNAP TS-119 and TS-219. Closes: #525721.
    Many thanks to Martin Michlmayr for the patch.
  * Add support for autopower feature. Closes: #526932.
    Thanks to Martin Michlmayr for the patch.

 -- Frans Pop <fjp@debian.org>  Fri, 21 Aug 2009 01:55:45 +0200

qcontrol (0.4.2-1) unstable; urgency=low

  * New upstream version:
    - support for QNAP TS-409 (closes: #491567)
  * Update config values for restart and media buttons in line with change in
    Debian kernel 2.6.26 (upstream 2.6.27). Thanks to Martin Michlmayr for
    alerting me to the change.
  * udeb: Modify /etc/modules during base-installer instead of finish-install;
    it is slightly more logical to do this at the same time as installing the
    package.

 -- Frans Pop <fjp@debian.org>  Mon, 11 Aug 2008 15:21:21 +0200

qcontrol (0.4.1-3) unstable; urgency=low

  * Add gpio_keys to /etc/modules in target instead of D-I environment.
  * Remove workaround for missing persistent-input rules. It was added
    in udev 0.124-1.

 -- Frans Pop <fjp@debian.org>  Mon, 14 Jul 2008 17:39:43 +0200

qcontrol (0.4.1-2) unstable; urgency=low

  * Update watch file for rename from piccontrol to qcontrol.
  * Fix errors in udeb. Closes: #488394.
  * Add temporary workaround in udeb for #488439 (missing persistent-input
    rules in udev-udeb).
  * Improve the way additional scripts are included in the udeb.

 -- Frans Pop <fjp@debian.org>  Thu, 03 Jul 2008 20:21:23 +0200

qcontrol (0.4.1-1) unstable; urgency=low

  * Initial release. Closes: #483721.

 -- Frans Pop <fjp@debian.org>  Thu, 12 Jun 2008 18:46:42 +0200

=== debian/control ===
Source: qcontrol
Section: utils
Priority: optional
Maintainer: Ian Campbell <ijc@hellion.org.uk>
Build-Depends: debhelper (>= 9), liblua5.1-0-dev
Standards-Version: 3.9.4
Vcs-Git: git://git.debian.org/collab-maint/qcontrol.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/qcontrol.git
Homepage: http://qnap.nas-central.org/index.php/PIC_Control_Software

Package: qcontrol
Architecture: armel armhf
Depends: ${shlibs:Depends}, ${misc:Depends}, udev (>= 0.141-2)
Description: hardware control for QNAP Turbo Station devices
 Allows one to send commands to the microcontroller of supported devices,
 for example to change leds or sound a buzzer.
 .
 Depending on the device it can also monitor for example for button
 presses or temperature, with events triggering actions defined in the
 configuration file.
 .
 Supported devices at this time are the QNAP TS-109, TS-110, TS-119,
 TS-209, TS-210, TS-219, TS-219P, TS-409, TS-409U, TS-410, TS-410U,
 TS-419P and TS-419U but the code is extensible so more devices may
 be added in future releases.
 .
 Warning: the program is in alpha state, use at your own risk.

Package: qcontrol-udeb
Section: debian-installer
Architecture: armel armhf
Depends: ${shlibs:Depends}, ${misc:Depends}, udev-udeb (>= 0.141-2), event-modules
XC-Package-Type: udeb
Description: hardware control for QNAP Turbo Station devices
 Allows one to change status leds or sound the buzzer of supported devices.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

PACKAGES        = $(shell dh_listpackages -s)
UDEB_DIRS	= lib/debian-installer-startup.d \
		  usr/lib/base-installer.d \
		  usr/lib/finish-install.d

%:
	dh $@

override_dh_auto_install:
	dh_install

	# Install the following "manually" as they need a rename
	$(foreach PACKAGE, $(PACKAGES), \
		install -m0644 debian/configs/* \
			debian/$(PACKAGE)/etc/qcontrol; )
	install -m0755 qcontrol.udeb \
		debian/qcontrol-udeb/usr/sbin/qcontrol
	install -m0755 debian/initramfs/hook \
		debian/qcontrol/usr/share/initramfs-tools/hooks/qcontrol
	install -m0755 debian/initramfs/init-bottom \
		debian/qcontrol/usr/share/initramfs-tools/scripts/init-bottom/qcontrol
	# Install the following "manually" as they need permissions set
	install -m0755 debian/udeb/qcommand \
		debian/qcontrol-udeb/usr/sbin/
	$(foreach UDEB_DIR, $(UDEB_DIRS), \
		install -m0755 debian/udeb/$$(basename $(UDEB_DIR))/* \
			debian/qcontrol-udeb/$(UDEB_DIR); )

override_dh_installinit:
	dh_installinit --name=qcontrold --update-rcd-params="start 40 S . stop 80 0 1 6 ."
	# This initscript just changes the LEDs and sounds the buzzer. No need
	# to do this on install or upgrade.
	dh_installinit --no-start --no-restart-on-upgrade

## qcontrol 0.5.1

=== Makefile ===
VERSION=0.5.1

CFLAGS   += -Os -Wall -DQCONTROL_VERSION=\"$(VERSION)\"
CPPFLAGS += -I/usr/include/lua5.1
LDFLAGS  +=
LIBS     += -llua5.1 -lpthread
LIBS_STATIC += /usr/lib/liblua5.1.a -lpthread -lm -ldl

SOURCES=qcontrol.c ts209.c ts219.c ts409.c ts41x.c evdev.c a125.c
OBJECTS=$(SOURCES:.c=.o)
EXECUTABLE=qcontrol

all:	$(SOURCES) $(EXECUTABLE)

$(EXECUTABLE): $(OBJECTS)
	$(CC) $(CFLAGS) $(LDFLAGS) $(OBJECTS) $(LIBS) -o $@

$(EXECUTABLE)-static: $(OBJECTS)
	$(CC) $(CFLAGS) $(LDFLAGS) $(OBJECTS) $(LIBS_STATIC) -o $@

.cpp.o:
	$(CC) $(CPPFLAGS) $(CFLAGS) $< -o $@

clean:
	rm -f $(OBJECTS) $(EXECUTABLE)

dist: RELEASES := $(PWD)/../releases/
dist: TARBALL := qcontrol-$(VERSION).tar
dist: TAG := v$(VERSION)
dist:
	git tag -v $(TAG)
	git archive --format=tar --prefix=qcontrol-$(VERSION)/ --output $(RELEASES)/$(TARBALL) $(TAG)
	cat $(RELEASES)/$(TARBALL) | gzip -c9 > $(RELEASES)/$(TARBALL).gz
	xz --stdout --compress $(RELEASES)/$(TARBALL) > $(RELEASES)/$(TARBALL).xz
	cd $(RELEASES) && sha256sum $(TARBALL) $(TARBALL).gz $(TARBALL).xz > $(TARBALL).sha256

$(OBJECTS): picmodule.h

=== debian/changelog ===
qcontrol (0.5.1-3) unstable; urgency=low

  * Ignore 0x43 (RTC wakeup command) from PIC to avoid spamming logs.
  * Implement hysteresis for fan control. (Closes: #709095)

 -- Ian Campbell <ijc@hellion.org.uk>  Sat, 01 Jun 2013 15:02:26 +0100

qcontrol (0.5.1-2) unstable; urgency=low

  * Remove alpha warning from description
  * Fix memory corruption bug in confdir handling (Closes: #708376)

 -- Ian Campbell <ijc@hellion.org.uk>  Sat, 18 May 2013 10:55:39 +0100

qcontrol (0.5.1-1) unstable; urgency=low

  * New upstream release.
    - Wake-on-Lan support. (Closes: #703888)
    - Support for qcontrol.d directories. (Closes: #697574)
    - Disable buffering when stdout/err is not a tty. (Closes: #703894)
    - Patches merged upstream.
  * Only require event-modules udeb on armel.
  * Add /etc/qcontrol.d include to config files and package the directory

 -- Ian Campbell <ijc@hellion.org.uk>  Sun, 12 May 2013 19:25:57 +0100

qcontrol (0.5.0-1) unstable; urgency=low

  * New upstream release.
    - Several patches merged upstream.
  * Add lcd_button function to ts41x default configuration. (Closes: #702763)
  * Sanity check the arguments to functions called from lua. (Closes: #698543)

 -- Ian Campbell <ijc@hellion.org.uk>  Sun, 12 May 2013 16:41:08 +0100

=== debian/control ===
--- 
+++ 
@@ -23,13 +23,11 @@
  TS-209, TS-210, TS-219, TS-219P, TS-409, TS-409U, TS-410, TS-410U,
  TS-419P and TS-419U but the code is extensible so more devices may
  be added in future releases.
- .
- Warning: the program is in alpha state, use at your own risk.
 
 Package: qcontrol-udeb
 Section: debian-installer
 Architecture: armel armhf
-Depends: ${shlibs:Depends}, ${misc:Depends}, udev-udeb (>= 0.141-2), event-modules
+Depends: ${shlibs:Depends}, ${misc:Depends}, udev-udeb (>= 0.141-2), event-modules [armel]
 XC-Package-Type: udeb
 Description: hardware control for QNAP Turbo Station devices
  Allows one to change status leds or sound the buzzer of supported devices.

=== debian/rules ===
--- 
+++ 
@@ -19,7 +19,7 @@
 	$(foreach PACKAGE, $(PACKAGES), \
 		install -m0644 debian/configs/* \
 			debian/$(PACKAGE)/etc/qcontrol; )
-	install -m0755 qcontrol.udeb \
+	install -m0755 qcontrol-static \
 		debian/qcontrol-udeb/usr/sbin/qcontrol
 	install -m0755 debian/initramfs/hook \
 		debian/qcontrol/usr/share/initramfs-tools/hooks/qcontrol

## qcontrol 0.5.2

=== Makefile ===
--- 
+++ 
@@ -1,12 +1,20 @@
-VERSION=0.5.1
+VERSION=0.5.2
 
-CFLAGS   += -Os -Wall -DQCONTROL_VERSION=\"$(VERSION)\"
-CPPFLAGS += -I/usr/include/lua5.1
-LDFLAGS  +=
-LIBS     += -llua5.1 -lpthread
+CFLAGS   += -Os -Wall
+CPPFLAGS += -DQCONTROL_VERSION=\"$(VERSION)\"
+LIBS     += -lpthread
 LIBS_STATIC += /usr/lib/liblua5.1.a -lpthread -lm -ldl
 
-SOURCES=qcontrol.c ts209.c ts219.c ts409.c ts41x.c evdev.c a125.c
+CFLAGS   += $(shell pkg-config --cflags lua5.1)
+LIBS     += $(shell pkg-config --libs lua5.1)
+
+ifeq ($(shell pkg-config --exists libsystemd-daemon 2>/dev/null && echo 1),1)
+CPPFLAGS += -DHAVE_SYSTEMD
+CFLAGS   += $(shell pkg-config --cflags libsystemd-daemon)
+LIBS     += $(shell pkg-config --libs libsystemd-daemon)
+endif
+
+SOURCES=qcontrol.c system.c ts209.c ts219.c ts409.c ts41x.c evdev.c a125.c
 OBJECTS=$(SOURCES:.c=.o)
 EXECUTABLE=qcontrol
 
@@ -22,7 +30,7 @@
 	$(CC) $(CPPFLAGS) $(CFLAGS) $< -o $@
 
 clean:
-	rm -f $(OBJECTS) $(EXECUTABLE)
+	rm -f $(OBJECTS) $(EXECUTABLE) $(EXECUTABLE)-static
 
 dist: RELEASES := $(PWD)/../releases/
 dist: TARBALL := qcontrol-$(VERSION).tar

=== debian/changelog ===
qcontrol (0.5.2-2) UNRELEASED; urgency=low

  * Superceded unintentional upload of 0.5.2-1~exp1 to unstable instead of
    experimental. No changes from 0.5.2-1.

 -- Ian Campbell <ijc@hellion.org.uk>  Wed, 02 Oct 2013 07:31:24 +0100

qcontrol (0.5.2-1) unstable; urgency=low

  * New upstream release.
    - Move confdir to end of configuration file, making it useful for local
      overrides (Closes: #713046)
    - New system-status module to handle system start/stop notification.
      Sounding of the buzzer is now controlled in /etc/qcontrol.conf.
  * Update homepage link in debian/control (Closes: #712190)
  * Do not pass obsolete parameters to update-rc.d
  * Simplify qcontrold initscript, use presence of /etc/qcontrol.conf to decide
    when to start the daemon.

 -- Ian Campbell <ijc@hellion.org.uk>  Tue, 01 Oct 2013 19:52:44 +0100

=== debian/control ===
--- 
+++ 
@@ -2,11 +2,11 @@
 Section: utils
 Priority: optional
 Maintainer: Ian Campbell <ijc@hellion.org.uk>
-Build-Depends: debhelper (>= 9), liblua5.1-0-dev
+Build-Depends: debhelper (>= 9), liblua5.1-0-dev, pkg-config
 Standards-Version: 3.9.4
 Vcs-Git: git://git.debian.org/collab-maint/qcontrol.git
 Vcs-Browser: http://git.debian.org/?p=collab-maint/qcontrol.git
-Homepage: http://qnap.nas-central.org/index.php/PIC_Control_Software
+Homepage: https://gitorious.org/qcontrol/pages/Home
 
 Package: qcontrol
 Architecture: armel armhf

=== debian/rules ===
--- 
+++ 
@@ -33,7 +33,7 @@
 			debian/qcontrol-udeb/$(UDEB_DIR); )
 
 override_dh_installinit:
-	dh_installinit --name=qcontrold --update-rcd-params="start 40 S . stop 80 0 1 6 ."
+	dh_installinit --name=qcontrold
 	# This initscript just changes the LEDs and sounds the buzzer. No need
 	# to do this on install or upgrade.
 	dh_installinit --no-start --no-restart-on-upgrade

## qcontrol 0.5.4

=== Makefile ===
--- 
+++ 
@@ -1,7 +1,9 @@
-VERSION=0.5.2
+VERSION=0.5.4
 
-CFLAGS   += -Os -Wall
+CFLAGS   += -c -g -Os -Wall -Wextra
 CPPFLAGS += -DQCONTROL_VERSION=\"$(VERSION)\"
+
+LDFLAGS  += -g
 LIBS     += -lpthread
 LIBS_STATIC += /usr/lib/liblua5.1.a -lpthread -lm -ldl
 
@@ -14,19 +16,19 @@
 LIBS     += $(shell pkg-config --libs libsystemd-daemon)
 endif
 
-SOURCES=qcontrol.c system.c ts209.c ts219.c ts409.c ts41x.c evdev.c a125.c
+SOURCES=qcontrol.c system.c qnap-pic.c ts209.c ts219.c ts409.c ts41x.c evdev.c a125.c synology.c
 OBJECTS=$(SOURCES:.c=.o)
 EXECUTABLE=qcontrol
 
 all:	$(SOURCES) $(EXECUTABLE)
 
 $(EXECUTABLE): $(OBJECTS)
-	$(CC) $(CFLAGS) $(LDFLAGS) $(OBJECTS) $(LIBS) -o $@
+	$(CC) $(LDFLAGS) $(OBJECTS) $(LIBS) -o $@
 
 $(EXECUTABLE)-static: $(OBJECTS)
-	$(CC) $(CFLAGS) $(LDFLAGS) $(OBJECTS) $(LIBS_STATIC) -o $@
+	$(CC) $(LDFLAGS) $(OBJECTS) $(LIBS_STATIC) -o $@
 
-.cpp.o:
+.c.o:
 	$(CC) $(CPPFLAGS) $(CFLAGS) $< -o $@
 
 clean:

=== debian/changelog ===
qcontrol (0.5.4-5) unstable; urgency=medium

  * [udeb/qcommand] Drop check for gpio-keys driver, it is no longer required.
    (Closes: #793179)

 -- Ian Campbell <ijc@debian.org>  Sun, 26 Jul 2015 17:01:05 +0100

qcontrol (0.5.4-4) unstable; urgency=medium

  * Handle differently named GPIO keys device nodes, this has changed in the
  * kernel.

 -- Ian Campbell <ijc@debian.org>  Wed, 08 Jul 2015 19:54:06 +0100

qcontrol (0.5.4-3) unstable; urgency=medium

  * Apply patch from Martin Michlmayr to support device-tree only systems.
    (Closes: #788885)
  * Update description and README with new devices, patch from Martin Michlmayr.
    (Closes: #788911)

 -- Ian Campbell <ijc@debian.org>  Tue, 23 Jun 2015 08:59:53 +0100

qcontrol (0.5.4-2) unstable; urgency=medium

  * Update Vcs-* to point to anonscm.
  * Wait for necessary devices to appear before starting.
    (Closes: #781886). This works around an issue exposed by systemd LSB
    compatibility mode. Proper systemd support will come later.
  * Update path to examples in man page. (Closes: #749127)
  * Update to standards version 0.9.6, no changes required.

 -- Ian Campbell <ijc@debian.org>  Wed, 13 May 2015 20:02:02 +0100

qcontrol (0.5.4-1) unstable; urgency=low

  * New upstream release 0.5.4.
    - Correct system-status command.
  * New upstream release 0.5.3.
    - New command to control rtc in ts219/ts41x (Closes: #732768)
    - Correctly enable LCD detect GPIO if necessary
    - Return correct status from qcontrol --direct (Closes: #617439)
    - Reduce spaminess of temperature logging (Closes: #727150)
  * Update to standards version 3.9.5 (no changes required).

 -- Ian Campbell <ijc@hellion.org.uk>  Fri, 11 Apr 2014 17:40:45 +0100

qcontrol (0.5.2-2) unstable; urgency=low

  * Superceded unintentional upload of 0.5.2-1~exp1 to unstable instead of
    experimental. No changes from 0.5.2-1.

 -- Ian Campbell <ijc@hellion.org.uk>  Wed, 02 Oct 2013 07:31:24 +0100

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,11 @@
 Source: qcontrol
 Section: utils
 Priority: optional
-Maintainer: Ian Campbell <ijc@hellion.org.uk>
+Maintainer: Ian Campbell <ijc@debian.org>
 Build-Depends: debhelper (>= 9), liblua5.1-0-dev, pkg-config
-Standards-Version: 3.9.4
-Vcs-Git: git://git.debian.org/collab-maint/qcontrol.git
-Vcs-Browser: http://git.debian.org/?p=collab-maint/qcontrol.git
+Standards-Version: 3.9.6
+Vcs-Git: git://anonscm.debian.org/collab-maint/qcontrol.git
+Vcs-Browser: http://anonscm.debian.org/cgit/collab-maint/qcontrol.git
 Homepage: https://gitorious.org/qcontrol/pages/Home
 
 Package: qcontrol
@@ -19,10 +19,10 @@
  presses or temperature, with events triggering actions defined in the
  configuration file.
  .
- Supported devices at this time are the QNAP TS-109, TS-110, TS-119,
- TS-209, TS-210, TS-219, TS-219P, TS-409, TS-409U, TS-410, TS-410U,
- TS-419P and TS-419U but the code is extensible so more devices may
- be added in future releases.
+ Currently supported devices are the QNAP TS-109, QNAP TS-11x,
+ QNAP TS-12x, QNAP TS-209, QNAP HS-210, QNAP TS-21x, QNAP TS-22x,
+ QNAP TS-409, QNAP TS-409U, QNAP TS-41x, QNAP TS-42x and Synology
+ Diskstation and Rackstation.
 
 Package: qcontrol-udeb
 Section: debian-installer

=== debian/rules ===
--- 
+++ 
@@ -9,6 +9,8 @@
 		  usr/lib/base-installer.d \
 		  usr/lib/finish-install.d
 
+CONFIGS		= ts209.lua ts219.lua ts409.lua ts41x.lua
+
 %:
 	dh $@
 
@@ -16,9 +18,12 @@
 	dh_install
 
 	# Install the following "manually" as they need a rename
-	$(foreach PACKAGE, $(PACKAGES), \
-		install -m0644 debian/configs/* \
-			debian/$(PACKAGE)/etc/qcontrol; )
+	@set -ex; $(foreach PACKAGE, $(PACKAGES), \
+	    $(foreach CONFIG, $(CONFIGS), \
+		install -m0644 examples/$(CONFIG) \
+			debian/$(PACKAGE)/etc/qcontrol/; \
+            ) \
+        )
 	install -m0755 qcontrol-static \
 		debian/qcontrol-udeb/usr/sbin/qcontrol
 	install -m0755 debian/initramfs/hook \

=== debian/watch ===
# Example watch control file for uscan
# Rename this file to "watch" and then you can run the "uscan" command
# to check for upstream updates and more.
# See uscan(1) for format

# Compulsory line, this is a version 3 file
version=3

http://byronbradley.co.uk/piccontrol/qcontrol-(.*)\.tar\.gz

## qcontrol 0.5.5

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-VERSION=0.5.4
+VERSION=0.5.5
 
 CFLAGS   += -c -g -Os -Wall -Wextra
 CPPFLAGS += -DQCONTROL_VERSION=\"$(VERSION)\"

=== debian/changelog ===
qcontrol (0.5.5-3) unstable; urgency=medium

  * Open /sys/class/gpio/export write only, avoids EPERM error
    (Closes: #795558).
  * Enable systemd support at build time and install systemd unit files, the
    transition away from support for rcS in the sysvinit compat layer means
    that LSB compat mode is no longer sufficient for qcontrol (closes: #852127).
  * Update standards version, no changes required.
  * Add gbp.conf to packaging directory.

 -- Ian Campbell <ijc@debian.org>  Mon, 01 Jan 2018 12:11:17 +0000

qcontrol (0.5.5-2) unstable; urgency=medium

  * Update standards version, no changes required.

 -- Ian Campbell <ijc@debian.org>  Tue, 15 Nov 2016 18:39:43 +0000

qcontrol (0.5.5-1) unstable; urgency=medium

  * New upstream release.
    - All local patches incorporated upstream.
    - Improvements to option parsing and help messages (Closes: #804767).
  * Update Homepage URL.
  * Update watch file.

 -- Ian Campbell <ijc@debian.org>  Sun, 30 Oct 2016 14:41:08 +0000

=== debian/control ===
--- 
+++ 
@@ -2,11 +2,11 @@
 Section: utils
 Priority: optional
 Maintainer: Ian Campbell <ijc@debian.org>
-Build-Depends: debhelper (>= 9), liblua5.1-0-dev, pkg-config
-Standards-Version: 3.9.6
+Build-Depends: debhelper (>= 9.20160709~), libsystemd-dev, liblua5.1-0-dev, pkg-config
+Standards-Version: 4.1.2
 Vcs-Git: git://anonscm.debian.org/collab-maint/qcontrol.git
 Vcs-Browser: http://anonscm.debian.org/cgit/collab-maint/qcontrol.git
-Homepage: https://gitorious.org/qcontrol/pages/Home
+Homepage: http://www.hellion.org.uk/qcontrol/
 
 Package: qcontrol
 Architecture: armel armhf

=== debian/rules ===
--- 
+++ 
@@ -12,10 +12,14 @@
 CONFIGS		= ts209.lua ts219.lua ts409.lua ts41x.lua
 
 %:
-	dh $@
+	dh $@ --with systemd
 
 override_dh_auto_install:
 	dh_install
+
+	install -d debian/$(PACKAGE)/lib/udev/rules.d
+	install -m0644 debian/qcontrol.rules \
+		debian/$(PACKAGE)/lib/udev/rules.d/60-qcontrol.rules
 
 	# Install the following "manually" as they need a rename
 	@set -ex; $(foreach PACKAGE, $(PACKAGES), \

=== debian/watch ===
--- 
+++ 
@@ -5,5 +5,5 @@
 
 # Compulsory line, this is a version 3 file
 version=3
-
-http://byronbradley.co.uk/piccontrol/qcontrol-(.*)\.tar\.gz
+opts=pgpsigurlmangle=s/$/.asc/,filenamemangle=s/.*\/qcontrol-(\d\S*)\.tar\.xz/qcontrol-$1\.tar\.xz/ \
+  https://www.hellion.org.uk/qcontrol/releases/ .*/qcontrol-(\d\S*)\.tar\.xz

## qcontrol 0.5.6

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-VERSION=0.5.5
+VERSION=0.5.6
 
 CFLAGS   += -c -g -Os -Wall -Wextra
 CPPFLAGS += -DQCONTROL_VERSION=\"$(VERSION)\"

=== debian/changelog ===
qcontrol (0.5.6-4ubuntu1) hirsute; urgency=medium

  * Allow to build without the udeb package.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 25 Feb 2021 06:22:22 +0100

qcontrol (0.5.6-4build1) hirsute; urgency=medium

  * No-change rebuild to drop the udeb package.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 22 Feb 2021 10:36:05 +0100

qcontrol (0.5.6-4) unstable; urgency=medium

  * Specify Rules-Requires-Root: no.
  * Switch to debhelper compat level 11, changes are:
    - it is no longer necessary to patch `--with systemd` to `dh(1)`.
    - Use `-a` option to `dh_listpackages`, in favour of obsolete `-s` option.
    - Use `--no-stop-on-upgrade` option to `dh_installinit` in favour of
      obsolete `--no-restart-on-upgrade` option.
    Sticking to level 11 (rather than moving to 12, the latest version) for now
    eases backports to stretch-backports when system units are involved as they
    are here (see "Caveat for stretch-backports support" in
    https://nthykier.wordpress.com/2019/01/04/debhelper-compat-12-is-now-released/).
  * Only trigger a udev event if `udevadm` is available. Also ignore any error
    from `udevadm trigger`.
  * Update postinst check for presence of `update-initramfs` to use `which`
    rather than a hardcoded path. Resolves lintian warning
    "command-with-path-in-maintainer-script".
  * Override `init.d-script-depends-on-all-virtual-facility` lintian warning.

 -- Ian Campbell <ijc@debian.org>  Sun, 06 Jan 2019 13:37:59 +0000

qcontrol (0.5.6-3) unstable; urgency=medium

  * Use `dh_installudev` rather than open coding.
  * Run `udevadm trigger` from postinst so that the gpio keys device is tagged
    before trying to start the qcontrol services (which depend on the tagged
    device). (Closes: #914160, again!).
  * Drop postinst code cleaning up from Lenny era.
  * Bump standards version to 4.3.0, no changes required.

 -- Ian Campbell <ijc@debian.org>  Wed, 02 Jan 2019 17:28:51 +0000

qcontrol (0.5.6-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/changelog: Remove trailing whitespaces

  [ Ian Campbell ]
  * Switch Homepage to https.
  * Fix "qcontrol FTCBFS: upstream Makefile hard codes the build
    architecture pkg-config" by allowing the override of the pkg-config binary
    Thanks to Helmut Grohne for the initial patch (Closes: #908525).
  * Correctly install 60-qcontrol.rules (Closes: #912376).
  * Refresh all patches to apply without fuzz.
  * Catch more installation errors in debian/rules.

 -- Ian Campbell <ijc@debian.org>  Sun, 09 Dec 2018 14:42:37 +0000

qcontrol (0.5.6-1) unstable; urgency=medium

  * New upstream release.
    - All local patches merged upstream.
    - Add a configuration option in the examples to handle QNAP devices which
      lack a fan (closes: #712841).
  * Update standards version, no changes required.
  * Use Package-Type control header in preference to XC-Package-Type.
  * Reformat control files according to cme.

 -- Ian Campbell <ijc@debian.org>  Sun, 27 May 2018 11:22:20 +0100

=== debian/control ===
Source: qcontrol
Maintainer: Ian Campbell <ijc@debian.org>
Section: utils
Priority: optional
Build-Depends: debhelper (>= 11~),
               libsystemd-dev,
               liblua5.1-0-dev,
               pkg-config
Standards-Version: 4.3.0
Vcs-Browser: https://salsa.debian.org/debian/qcontrol
Vcs-Git: https://salsa.debian.org/debian/qcontrol.git
Homepage: https://www.hellion.org.uk/qcontrol/
Rules-Requires-Root: no

Package: qcontrol
Architecture: armel armhf
Depends: ${shlibs:Depends},
         ${misc:Depends},
         udev
Description: hardware control for QNAP Turbo Station devices
 Allows one to send commands to the microcontroller of supported devices,
 for example to change leds or sound a buzzer.
 .
 Depending on the device it can also monitor for example for button
 presses or temperature, with events triggering actions defined in the
 configuration file.
 .
 Currently supported devices are the QNAP TS-109, QNAP TS-11x,
 QNAP TS-12x, QNAP TS-209, QNAP HS-210, QNAP TS-21x, QNAP TS-22x,
 QNAP TS-409, QNAP TS-409U, QNAP TS-41x, QNAP TS-42x and Synology
 Diskstation and Rackstation.

Package: qcontrol-udeb
Architecture: armel armhf
Section: debian-installer
Depends: ${shlibs:Depends},
         ${misc:Depends},
         udev-udeb (>= 0.141-2),
         event-modules [armel]
Package-Type: udeb
Build-Profiles: <!noudeb>
Description: hardware control for QNAP Turbo Station devices
 Allows one to change status leds or sound the buzzer of supported devices.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

ifeq (,$(filter noudeb, $(DEB_BUILD_PROFILES)))
  with_udeb = yes
endif

PACKAGES        = $(shell dh_listpackages -a)
UDEB_DIRS	= lib/debian-installer-startup.d \
		  usr/lib/base-installer.d \
		  usr/lib/finish-install.d

CONFIGS		= ts209.lua ts219.lua ts409.lua ts41x.lua

%:
	dh $@

override_dh_auto_install:
	dh_install
	dh_installudev --priority=60

	# Install the following "manually" as they need a rename
	@set -ex; $(foreach PACKAGE, $(PACKAGES), \
	    $(foreach CONFIG, $(CONFIGS), \
		install -m0644 examples/$(CONFIG) \
			debian/$(PACKAGE)/etc/qcontrol/; \
            ) \
        )
ifeq ($(with_udeb),yes)
	install -m0755 qcontrol-static \
		debian/qcontrol-udeb/usr/sbin/qcontrol
endif
	install -m0755 debian/initramfs/hook \
		debian/qcontrol/usr/share/initramfs-tools/hooks/qcontrol
	install -m0755 debian/initramfs/init-bottom \
		debian/qcontrol/usr/share/initramfs-tools/scripts/init-bottom/qcontrol
ifeq ($(with_udeb),yes)
	# Install the following "manually" as they need permissions set
	install -m0755 debian/udeb/qcommand \
		debian/qcontrol-udeb/usr/sbin/
	@set -ex; $(foreach UDEB_DIR, $(UDEB_DIRS), \
		install -m0755 debian/udeb/$$(basename $(UDEB_DIR))/* \
			debian/qcontrol-udeb/$(UDEB_DIR); )
endif

override_dh_installinit:
	dh_installinit --name=qcontrold
	# This initscript just changes the LEDs and sounds the buzzer. No need
	# to do this on install or upgrade.
	dh_installinit --no-start --no-stop-on-upgrade

## qcontrol 0.5.7

=== Makefile ===
VERSION=0.5.7

CFLAGS   += -c -g -Os -Wall -Wextra
CPPFLAGS += -DQCONTROL_VERSION=\"$(VERSION)\"

PKG_CONFIG ?= pkg-config
LDFLAGS  += -g

CFLAGS       += $(shell $(PKG_CONFIG) --cflags lua5.1)
LIBS_DYNAMIC += -lpthread $(shell $(PKG_CONFIG) --libs lua5.1)
LIBS_STATIC  += -lpthread $(shell $(PKG_CONFIG) --variable=libdir lua5.1)/liblua5.1.a -lm -ldl

ifeq ($(shell $(PKG_CONFIG) --exists libsystemd-daemon 2>/dev/null && echo 1),1)
CPPFLAGS_DYNAMIC += -DHAVE_SYSTEMD
CFLAGS_DYNAMIC   += $(shell $(PKG_CONFIG) --cflags libsystemd-daemon)
LIBS_DYNAMIC     += $(shell $(PKG_CONFIG) --libs libsystemd-daemon)
endif

SOURCES=qcontrol.c system.c qnap-pic.c ts209.c ts219.c ts409.c ts41x.c evdev.c a125.c synology.c
OBJECTS_DYNAMIC=$(SOURCES:.c=.o-dyn)
OBJECTS_STATIC=$(SOURCES:.c=.o-static)
EXECUTABLE=qcontrol

all:	$(SOURCES) $(EXECUTABLE)

$(EXECUTABLE): $(OBJECTS_DYNAMIC)
	$(CC) $(LDFLAGS) $(OBJECTS_DYNAMIC) $(LIBS_DYNAMIC) -o $@

$(EXECUTABLE)-static: $(OBJECTS_STATIC)
	$(CC) $(LDFLAGS) $(OBJECTS_STATIC) $(LIBS_STATIC) -o $@

$(OBJECTS_DYNAMIC): CPPFLAGS += $(CPPFLAGS_DYNAMIC)
$(OBJECTS_DYNAMIC): CFLAGS += $(CFLAGS_DYNAMIC)
%.o-dyn: %.c
	$(CC) $(CPPFLAGS) $(CFLAGS) $< -o $@

$(OBJECTS_STATIC): CPPFLAGS += $(CPPFLAGS_STATIC)
$(OBJECTS_STATIC): CFLAGS += $(CFLAGS_STATIC)
%.o-static: %.c
	$(CC) $(CPPFLAGS) $(CFLAGS) $< -o $@

clean:
	rm -f $(OBJECTS_DYNAMIC) $(OBJECTS_STATIC) $(EXECUTABLE) $(EXECUTABLE)-static

dist: RELEASES := $(PWD)/../releases/
dist: TARBALL := qcontrol-$(VERSION).tar
dist: TAG := v$(VERSION)
dist:
	git tag -v $(TAG)
	git archive --format=tar --prefix=qcontrol-$(VERSION)/ --output $(RELEASES)/$(TARBALL) $(TAG)
	cat $(RELEASES)/$(TARBALL) | gzip -c9 > $(RELEASES)/$(TARBALL).gz
	xz --stdout --compress $(RELEASES)/$(TARBALL) > $(RELEASES)/$(TARBALL).xz
	cd $(RELEASES) && sha256sum $(TARBALL) $(TARBALL).gz $(TARBALL).xz > $(TARBALL).sha256

$(OBJECTS): picmodule.h
